#ifndef QHANDBRAKE_H
#define QHANDBRAKE_H

#include <QObject>
#include <QProcess>

class QHandbrake : public QObject
{
    Q_OBJECT

public:
    explicit QHandbrake(QObject *parent = nullptr);
    uint8_t setPath(QString pathIn);
    Q_INVOKABLE uint8_t startEncode();
    Q_INVOKABLE uint8_t stopEncode();

private:
    QString exePath = "";
    QProcess *HBProcess;
    void printStandardStatus();

signals:
    void statusChanged(QString status);
};

#endif // QHANDBRAKE_H
